Seeking takes a very long time (~1min)

Hi,
I really love mopidy so far (especially with mopidy-spotify and mopidy-mpd for integration into home assistant). Thank you all for your great work!

But I have the problem that when I seek, the audio stops and after ~1min starts playing from the seeked position.

I doubt that it is a hardware performance issue. CPU is nearly idle, 300MB of RAM left in the container and storage is on ZFS with 3 striped HDD mirrors (~600MB/s sequential read, but after the first read it’s cached in the ZFS ARC):

--(dd block size 1B)--
root@audioTest:~# dd if=/media/Media/Music/sounds/GLaDOS_pick_up_your_phone_loud.wav of=/dev/null
18567+1 records in
18567+1 records out
9506672 bytes (9.5 MB, 9.1 MiB) copied, 0.0521926 s, 182 MB/s
--(dd block size 1MB)--
root@audioTest:~# dd if=/media/Media/Music/sounds/GLaDOS_pick_up_your_phone_loud.wav of=/dev/null bs=1M
9+1 records in
9+1 records out
9506672 bytes (9.5 MB, 9.1 MiB) copied, 0.00168019 s, 5.7 GB/s

My setup:
Completely new debian 10 lxc container (on a proxmox VM host):

root@audioTest:~# cat /etc/issue.net 
Debian GNU/Linux 10
root@audioTest:~# uname -a
Linux audioTest 5.3.13-1-pve #1 SMP PVE 5.3.13-1 (Thu, 05 Dec 2019 07:18:14 +0100) x86_64 GNU/Linux

These are the commands I used to install mopidy:

apt install wget nano gnupg2 python-pip3
wget -q -O - https://apt.mopidy.com/mopidy.gpg | apt-key add -
wget -q -O /etc/apt/sources.list.d/mopidy.list https://apt.mopidy.com/buster.list
apt update
apt install mopidy mopidy-mpd mopidy-local
nano /etc/mopidy/mopidy.conf 
systemctl start mopidy

My mopidy config /etc/mopidy/mopidy.conf:

[core]
cache_dir = /var/cache/mopidy
config_dir = /etc/mopidy
data_dir = /var/lib/mopidy

[logging]
verbosity = 4
config_file = /etc/mopidy/logging.conf
debug_file = /var/log/mopidy/mopidy-debug.log

[file]
enabled = true
media_dirs = /media/Media/Music
show_dotfiles = false
excluded_file_extensions =
  .directory
  .html
  .jpeg
  .jpg
  .log
  .nfo
  .pdf
  .png
  .txt
  .zip
follow_symlinks = false
metadata_timeout = 1000

[http]
enabled = true
hostname = 0.0.0.0
port = 6680
static_dir =
zeroconf = Mopidy HTTP server on $hostname
allowed_origins =
csrf_protection = true

[audio]
output = audioresample ! audioconvert ! audio/x-raw,rate=44100,channels=2,format=S16LE ! wavenc ! tcpclientsink host=10.0.0.42 port=4953

[mpd]
hostname = 0.0.0.0
port = 6600

( I am using the tcpclientsink to forward the audio to my snapcast server. But the snapcast server is working fine, there is no delay there )

Python packages:

root@audioTest:~# pip3 freeze
asn1crypto==0.24.0
certifi==2018.8.24
chardet==3.0.4
cryptography==2.6.1
entrypoints==0.3
httplib2==0.11.3
idna==2.6
keyring==17.1.1
keyrings.alt==3.1.1
Mopidy==3.0.1
Mopidy-Local==3.1.1
Mopidy-MPD==3.0.0
pycrypto==2.6.1
pycurl==7.43.0.2
PyGObject==3.30.4
Pykka==2.0.2
PySimpleSOAP==1.16.2
python-apt==1.8.4.1
python-debian==0.1.35
python-debianbts==2.8.2
pyxdg==0.25
reportbug===7.5.3-deb10u1
requests==2.21.0
SecretStorage==2.3.1
six==1.12.0
tornado==5.1.1
uritools==2.2.0
urllib3==1.24.1

Log output when I seek (I only stripped the repeatings logs from the MpdSession logs):

Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Request from [::ffff:10.0.0.10]:57258: seek "1" "75"
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [Audio-2] mopidy.audio.gst Sending flushing seek: position=75000000000
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MainThread] mopidy.audio.gst Got STATE_CHANGED bus message: old=GST_STATE_PAUSED new=GST_STATE_PAUSED pending=GST_STATE_PAUSED
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [Dummy-22] mopidy.audio.gst Got SEGMENT pad event: rate=1.0 format=time start=75000000000 stop=18446744073709551615 position=75000000000
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [Dummy-22] mopidy.audio.actor Audio event: position_changed(position=75000)
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [Dummy-22] mopidy.listener Sending position_changed to AudioListener: {'position': 75000}
Feb 02 20:19:03 audioTest mopidy[470]: WARNING  [MainThread] mopidy.audio.gst GStreamer warning: Internal data flow problem.
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MainThread] mopidy.audio.gst Got WARNING bus message: error=GLib.Error('Internal data flow problem.', 'gst-stream-error-quark', 1) debug='gstbasesink.c(3394): gst_base_sink_chain_unlocked (): /GstPlayBin:playbin0/GstPlaySink:playsink/GstBin:abin/GstBin:audio-sink/mopidy+audio+actor+_Outputs:mopidy+audio+actor+_outputs0/GstBin:bin0/GstTCPClientSink:tcpclientsink0:\nReceived buffer without a new-segment. Assuming timestamps start from 0.'
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MainThread] mopidy.audio.gst Got STATE_CHANGED bus message: old=GST_STATE_PAUSED new=GST_STATE_PAUSED pending=GST_STATE_PLAYING
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MainThread] mopidy.audio.gst Got ASYNC_DONE bus message.
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MainThread] mopidy.audio.gst Got STATE_CHANGED bus message: old=GST_STATE_PAUSED new=GST_STATE_PLAYING pending=GST_STATE_VOID_PENDING
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MainThread] mopidy.audio.actor Audio event: state_changed(old_state=playing, new_state=playing, target_state=None)
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MainThread] mopidy.listener Sending state_changed to AudioListener: {'old_state': 'playing', 'new_state': 'playing', 'target_state': None}
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [Core-7] mopidy.core.playback Triggering seeked event
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [Core-7] mopidy.listener Sending seeked to CoreListener: {'time_position': 75000}
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MpdFrontend-10] mopidy.listener Sending player to MpdSession: {}
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Response to [::ffff:10.0.0.10]:57258: OK
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Request from [::ffff:10.0.0.10]:57258: status
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Response to [::ffff:10.0.0.10]:57258:
Feb 02 20:19:03 audioTest mopidy[470]:     volume: 100
Feb 02 20:19:03 audioTest mopidy[470]:     repeat: 0
Feb 02 20:19:03 audioTest mopidy[470]:     random: 0
Feb 02 20:19:03 audioTest mopidy[470]:     single: 0
Feb 02 20:19:03 audioTest mopidy[470]:     consume: 0
Feb 02 20:19:03 audioTest mopidy[470]:     playlist: 35
Feb 02 20:19:03 audioTest mopidy[470]:     playlistlength: 2
Feb 02 20:19:03 audioTest mopidy[470]:     xfade: 0
Feb 02 20:19:03 audioTest mopidy[470]:     state: play
Feb 02 20:19:03 audioTest mopidy[470]:     song: 1
Feb 02 20:19:03 audioTest mopidy[470]:     songid: 25
Feb 02 20:19:03 audioTest mopidy[470]:     time: 75:107
Feb 02 20:19:03 audioTest mopidy[470]:     elapsed: 75.044
Feb 02 20:19:03 audioTest mopidy[470]:     bitrate: 705600
Feb 02 20:19:03 audioTest mopidy[470]:     OK
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Request from [::ffff:10.0.0.10]:57258: currentsong
Feb 02 20:19:03 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Response to [::ffff:10.0.0.10]:57258:
Feb 02 20:19:03 audioTest mopidy[470]:     file: file:///media/Media/Music/sounds/GLaDOS_pick_up_your_phone_loud.wav
Feb 02 20:19:03 audioTest mopidy[470]:     Time: 107
Feb 02 20:19:03 audioTest mopidy[470]:     Title: GLADOS RINGTONE
Feb 02 20:19:03 audioTest mopidy[470]:     Track: 4294967295
Feb 02 20:19:03 audioTest mopidy[470]:     Pos: 1
Feb 02 20:19:03 audioTest mopidy[470]:     Id: 25
Feb 02 20:19:03 audioTest mopidy[470]:     Genre: Ringtones
Feb 02 20:19:03 audioTest mopidy[470]:     OK

.............. these messages repeat for ~1min. "elapsed:" stays at 75.044 the whole time and there is no audio ...........

Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Request from [::ffff:10.0.0.10]:57258: status
Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Response to [::ffff:10.0.0.10]:57258:
Feb 02 20:20:18 audioTest mopidy[470]:     volume: 100
Feb 02 20:20:18 audioTest mopidy[470]:     repeat: 0
Feb 02 20:20:18 audioTest mopidy[470]:     random: 0
Feb 02 20:20:18 audioTest mopidy[470]:     single: 0
Feb 02 20:20:18 audioTest mopidy[470]:     consume: 0
Feb 02 20:20:18 audioTest mopidy[470]:     playlist: 35
Feb 02 20:20:18 audioTest mopidy[470]:     playlistlength: 2
Feb 02 20:20:18 audioTest mopidy[470]:     xfade: 0
Feb 02 20:20:18 audioTest mopidy[470]:     state: play
Feb 02 20:20:18 audioTest mopidy[470]:     song: 1
Feb 02 20:20:18 audioTest mopidy[470]:     songid: 25
Feb 02 20:20:18 audioTest mopidy[470]:     time: 75:107
Feb 02 20:20:18 audioTest mopidy[470]:     elapsed: 75.044
Feb 02 20:20:18 audioTest mopidy[470]:     bitrate: 705600
Feb 02 20:20:18 audioTest mopidy[470]:     OK
Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Request from [::ffff:10.0.0.10]:57258: currentsong
Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Response to [::ffff:10.0.0.10]:57258:
Feb 02 20:20:18 audioTest mopidy[470]:     file: file:///media/Media/Music/sounds/GLaDOS_pick_up_your_phone_loud.wav
Feb 02 20:20:18 audioTest mopidy[470]:     Time: 107
Feb 02 20:20:18 audioTest mopidy[470]:     Title: GLADOS RINGTONE
Feb 02 20:20:18 audioTest mopidy[470]:     Track: 4294967295
Feb 02 20:20:18 audioTest mopidy[470]:     Pos: 1
Feb 02 20:20:18 audioTest mopidy[470]:     Id: 25
Feb 02 20:20:18 audioTest mopidy[470]:     Genre: Ringtones
Feb 02 20:20:18 audioTest mopidy[470]:     OK
Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Request from [::ffff:10.0.0.10]:57258: status
Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Response to [::ffff:10.0.0.10]:57258:
Feb 02 20:20:18 audioTest mopidy[470]:     volume: 100
Feb 02 20:20:18 audioTest mopidy[470]:     repeat: 0
Feb 02 20:20:18 audioTest mopidy[470]:     random: 0
Feb 02 20:20:18 audioTest mopidy[470]:     single: 0
Feb 02 20:20:18 audioTest mopidy[470]:     consume: 0
Feb 02 20:20:18 audioTest mopidy[470]:     playlist: 35
Feb 02 20:20:18 audioTest mopidy[470]:     playlistlength: 2
Feb 02 20:20:18 audioTest mopidy[470]:     xfade: 0
Feb 02 20:20:18 audioTest mopidy[470]:     state: play
Feb 02 20:20:18 audioTest mopidy[470]:     song: 1
Feb 02 20:20:18 audioTest mopidy[470]:     songid: 25
Feb 02 20:20:18 audioTest mopidy[470]:     time: 75:107
Feb 02 20:20:18 audioTest mopidy[470]:     elapsed: 75.323
Feb 02 20:20:18 audioTest mopidy[470]:     bitrate: 705600
Feb 02 20:20:18 audioTest mopidy[470]:     OK
Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Request from [::ffff:10.0.0.10]:57258: currentsong
Feb 02 20:20:18 audioTest mopidy[470]: DEBUG    [MpdSession-21] mopidy_mpd.session Response to [::ffff:10.0.0.10]:57258:
Feb 02 20:20:18 audioTest mopidy[470]:     file: file:///media/Media/Music/sounds/GLaDOS_pick_up_your_phone_loud.wav
Feb 02 20:20:18 audioTest mopidy[470]:     Time: 107
Feb 02 20:20:18 audioTest mopidy[470]:     Title: GLADOS RINGTONE
Feb 02 20:20:18 audioTest mopidy[470]:     Track: 4294967295
Feb 02 20:20:18 audioTest mopidy[470]:     Pos: 1
Feb 02 20:20:18 audioTest mopidy[470]:     Id: 25
Feb 02 20:20:18 audioTest mopidy[470]:     Genre: Ringtones
Feb 02 20:20:18 audioTest mopidy[470]:     OK

I tried it with (local) .wav (this log is from the .wav) and .mp3 files and there was the same behaviour.
Is anyone else having the same problem? Any ideas on how to get more detailed logs of what gstreamer is doing this whole time?

Installed debian packages:

root@audioTest:~# apt list --installed
Listing... Done
adduser/stable,now 3.118 all [installed]
apt-listchanges/stable,now 3.19 all [installed]
apt-utils/stable,now 1.8.2 amd64 [installed]
apt/stable,now 1.8.2 amd64 [installed]
base-files/stable,now 10.3+deb10u2 amd64 [installed]
base-passwd/stable,now 3.5.46 amd64 [installed]
bash-completion/stable,now 1:2.8-6 all [installed]
bash/stable,now 5.0-4 amd64 [installed]
bind9-host/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
binutils-common/stable,now 2.31.1-16 amd64 [installed,automatic]
binutils-x86-64-linux-gnu/stable,now 2.31.1-16 amd64 [installed,automatic]
binutils/stable,now 2.31.1-16 amd64 [installed,automatic]
bsdmainutils/stable,now 11.1.2+b1 amd64 [installed]
bsdutils/stable,now 1:2.33.1-0.1 amd64 [installed]
build-essential/stable,now 12.6 amd64 [installed,automatic]
bzip2/stable,now 1.0.6-9.2~deb10u1 amd64 [installed]
ca-certificates/stable,now 20190110 all [installed]
coreutils/stable,now 8.30-3 amd64 [installed]
cpio/stable,now 2.12+dfsg-9 amd64 [installed]
cpp-8/stable,now 8.3.0-6 amd64 [installed]
cpp/stable,now 4:8.3.0-1 amd64 [installed]
cron/stable,now 3.0pl1-134+deb10u1 amd64 [installed]
dash/stable,now 0.5.10.2-5 amd64 [installed]
dbus-user-session/stable,now 1.12.16-1 amd64 [installed,automatic]
dbus/stable,now 1.12.16-1 amd64 [installed]
dconf-gsettings-backend/stable,now 0.30.1-2 amd64 [installed,automatic]
dconf-service/stable,now 0.30.1-2 amd64 [installed,automatic]
debconf-i18n/stable,now 1.5.71 all [installed]
debconf/stable,now 1.5.71 all [installed]
debian-archive-keyring/stable,now 2019.1 all [installed]
debian-faq/stable,now 9.0 all [installed]
debianutils/stable,now 4.8.6.1 amd64 [installed]
dh-python/stable,now 3.20190308 all [installed,automatic]
diffutils/stable,now 1:3.7-3 amd64 [installed]
dirmngr/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
dmidecode/stable,now 3.2-1 amd64 [installed]
dmsetup/stable,now 2:1.02.155-3 amd64 [installed]
doc-debian/stable,now 6.4 all [installed]
dpkg-dev/stable,now 1.19.7 all [installed,automatic]
dpkg/stable,now 1.19.7 amd64 [installed]
e2fsprogs/stable,stable,now 1.44.5-1+deb10u2 amd64 [installed]
fakeroot/stable,now 1.23-1 amd64 [installed,automatic]
fdisk/stable,now 2.33.1-0.1 amd64 [installed]
file/stable,stable,now 1:5.35-4+deb10u1 amd64 [installed]
findutils/stable,now 4.6.0+git+20190209-2 amd64 [installed]
fontconfig-config/stable,now 2.13.1-2 all [installed]
fontconfig/stable,now 2.13.1-2 amd64 [installed,automatic]
fonts-dejavu-core/stable,now 2.37-1 all [installed]
fonts-font-awesome/stable,now 5.0.10+really4.7.0~dfsg-1 all [installed,automatic]
fonts-lato/stable,now 2.0-2 all [installed,automatic]
fonts-roboto-slab/stable,now 1.100263+20170512-1 all [installed,automatic]
g++-8/stable,now 8.3.0-6 amd64 [installed,automatic]
g++/stable,now 4:8.3.0-1 amd64 [installed,automatic]
gcc-8-base/stable,now 8.3.0-6 amd64 [installed]
gcc-8/stable,now 8.3.0-6 amd64 [installed,automatic]
gcc/stable,now 4:8.3.0-1 amd64 [installed,automatic]
gdbm-l10n/stable,now 1.18.1-4 all [installed]
gettext-base/stable,now 0.19.8.1-9 amd64 [installed]
gir1.2-glib-2.0/stable,now 1.58.3-2 amd64 [installed,automatic]
gir1.2-gst-plugins-base-1.0/stable,now 1.14.4-2 amd64 [installed,automatic]
gir1.2-gstreamer-1.0/stable,now 1.14.4-1 amd64 [installed,automatic]
glib-networking-common/stable,now 2.58.0-2 all [installed,automatic]
glib-networking-services/stable,now 2.58.0-2 amd64 [installed,automatic]
glib-networking/stable,now 2.58.0-2 amd64 [installed,automatic]
gnupg-l10n/stable,now 2.2.12-1+deb10u1 all [installed,automatic]
gnupg-utils/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
gnupg2/stable,now 2.2.12-1+deb10u1 all [installed]
gnupg/stable,now 2.2.12-1+deb10u1 all [installed,automatic]
gpg-agent/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
gpg-wks-client/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
gpg-wks-server/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
gpg/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
gpgconf/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
gpgsm/stable,now 2.2.12-1+deb10u1 amd64 [installed,automatic]
gpgv/stable,now 2.2.12-1+deb10u1 amd64 [installed]
grep/stable,now 3.3-1 amd64 [installed]
groff-base/stable,now 1.22.4-3 amd64 [installed]
gsettings-desktop-schemas/stable,now 3.28.1-1 all [installed,automatic]
gstreamer1.0-alsa/stable,now 1.14.4-2 amd64 [installed,automatic]
gstreamer1.0-gl/stable,now 1.14.4-2 amd64 [installed,automatic]
gstreamer1.0-plugins-base/stable,now 1.14.4-2 amd64 [installed,automatic]
gstreamer1.0-plugins-good/stable,now 1.14.4-1 amd64 [installed,automatic]
gstreamer1.0-plugins-ugly/stable,now 1.14.4-1 amd64 [installed,automatic]
gstreamer1.0-pulseaudio/stable,now 1.14.4-1 amd64 [installed,automatic]
gstreamer1.0-tools/stable,now 1.14.4-1 amd64 [installed,automatic]
gstreamer1.0-x/stable,now 1.14.4-2 amd64 [installed,automatic]
gzip/stable,now 1.9-3 amd64 [installed]
hostname/stable,now 3.21 amd64 [installed]
htop/stable,now 2.2.0-1+b1 amd64 [installed]
ifupdown/stable,now 0.8.35 amd64 [installed]
init-system-helpers/stable,now 1.56+nmu1 all [installed]
init/stable,now 1.56+nmu1 amd64 [installed]
iproute2/stable,now 4.20.0-2 amd64 [installed]
iptables/stable,now 1.8.2-4 amd64 [installed]
iputils-ping/stable,now 3:20180629-2 amd64 [installed]
isc-dhcp-client/stable,now 4.4.1-2 amd64 [installed]
isc-dhcp-common/stable,now 4.4.1-2 amd64 [installed]
iso-codes/stable,now 4.2-1 all [installed,automatic]
javascript-common/stable,now 11 all [installed,automatic]
kmod/stable,now 26-1 amd64 [installed]
krb5-locales/stable,now 1.17-3 all [installed]
less/stable,now 487-0.1+b1 amd64 [installed]
liba52-0.7.4/stable,now 0.7.4-19 amd64 [installed,automatic]
libaa1/stable,now 1.4p5-46 amd64 [installed,automatic]
libacl1/stable,now 2.2.53-4 amd64 [installed]
libalgorithm-diff-perl/stable,now 1.19.03-2 all [installed,automatic]
libalgorithm-diff-xs-perl/stable,now 0.04-5+b1 amd64 [installed,automatic]
libalgorithm-merge-perl/stable,now 0.08-3 all [installed,automatic]
libapparmor1/stable,now 2.13.2-10 amd64 [installed]
libapt-inst2.0/stable,now 1.8.2 amd64 [installed]
libapt-pkg5.0/stable,now 1.8.2 amd64 [installed]
libargon2-1/stable,now 0~20171227-0.2 amd64 [installed]
libasan5/stable,now 8.3.0-6 amd64 [installed,automatic]
libasound2-data/stable,now 1.1.8-1 all [installed,automatic]
libasound2/stable,now 1.1.8-1 amd64 [installed,automatic]
libassuan0/stable,now 2.5.2-1 amd64 [installed,automatic]
libasyncns0/stable,now 0.8-6 amd64 [installed,automatic]
libatomic1/stable,now 8.3.0-6 amd64 [installed,automatic]
libattr1/stable,now 1:2.4.48-4 amd64 [installed]
libaudit-common/stable,now 1:2.8.4-3 all [installed]
libaudit1/stable,now 1:2.8.4-3 amd64 [installed]
libavc1394-0/stable,now 0.5.4-5 amd64 [installed,automatic]
libbind9-161/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
libbinutils/stable,now 2.31.1-16 amd64 [installed,automatic]
libblkid1/stable,now 2.33.1-0.1 amd64 [installed]
libbsd0/stable,now 0.9.1-2 amd64 [installed]
libbz2-1.0/stable,now 1.0.6-9.2~deb10u1 amd64 [installed]
libc-bin/stable,now 2.28-10 amd64 [installed]
libc-dev-bin/stable,now 2.28-10 amd64 [installed,automatic]
libc-l10n/stable,now 2.28-10 all [installed]
libc6-dev/stable,now 2.28-10 amd64 [installed,automatic]
libc6/stable,now 2.28-10 amd64 [installed]
libcaca0/stable,now 0.99.beta19-2.1 amd64 [installed,automatic]
libcairo-gobject2/stable,now 1.16.0-4 amd64 [installed,automatic]
libcairo2/stable,now 1.16.0-4 amd64 [installed,automatic]
libcap-ng0/stable,now 0.7.9-2 amd64 [installed]
libcap2-bin/stable,now 1:2.25-2 amd64 [installed]
libcap2/stable,now 1:2.25-2 amd64 [installed]
libcc1-0/stable,now 8.3.0-6 amd64 [installed,automatic]
libcdio18/stable,now 2.0.0-2 amd64 [installed,automatic]
libcdparanoia0/stable,now 3.10.2+debian-13 amd64 [installed,automatic]
libcom-err2/stable,stable,now 1.44.5-1+deb10u2 amd64 [installed]
libcryptsetup12/stable,now 2:2.1.0-5+deb10u2 amd64 [installed]
libcurl3-gnutls/stable,now 7.64.0-4 amd64 [installed]
libdatrie1/stable,now 0.2.12-2 amd64 [installed,automatic]
libdb5.3/stable,now 5.3.28+dfsg1-0.5 amd64 [installed]
libdbus-1-3/stable,now 1.12.16-1 amd64 [installed]
libdconf1/stable,now 0.30.1-2 amd64 [installed,automatic]
libdebconfclient0/stable,now 0.249 amd64 [installed]
libdevmapper1.02.1/stable,now 2:1.02.155-3 amd64 [installed]
libdns-export1104/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
libdns1104/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
libdpkg-perl/stable,now 1.19.7 all [installed,automatic]
libdrm-amdgpu1/stable,now 2.4.97-1 amd64 [installed]
libdrm-common/stable,now 2.4.97-1 all [installed]
libdrm-intel1/stable,now 2.4.97-1 amd64 [installed]
libdrm-nouveau2/stable,now 2.4.97-1 amd64 [installed]
libdrm-radeon1/stable,now 2.4.97-1 amd64 [installed]
libdrm2/stable,now 2.4.97-1 amd64 [installed]
libdv4/stable,now 1.0.0-12 amd64 [installed,automatic]
libdvdnav4/stable,now 6.0.0-1 amd64 [installed,automatic]
libdvdread4/stable,now 6.0.1-1 amd64 [installed,automatic]
libedit2/stable,now 3.1-20181209-1 amd64 [installed]
libegl-mesa0/stable,now 18.3.6-2 amd64 [installed,automatic]
libegl1/stable,now 1.1.0-1 amd64 [installed,automatic]
libelf1/stable,now 0.176-1.1 amd64 [installed]
libestr0/stable,now 0.1.10-2.1 amd64 [installed]
libexpat1-dev/stable,stable,now 2.2.6-2+deb10u1 amd64 [installed,automatic]
libexpat1/stable,stable,now 2.2.6-2+deb10u1 amd64 [installed]
libext2fs2/stable,stable,now 1.44.5-1+deb10u2 amd64 [installed]
libfakeroot/stable,now 1.23-1 amd64 [installed,automatic]
libfastjson4/stable,now 0.99.8-2 amd64 [installed]
libfdisk1/stable,now 2.33.1-0.1 amd64 [installed]
libffi6/stable,now 3.2.1-9 amd64 [installed]
libfile-fcntllock-perl/stable,now 0.22-3+b5 amd64 [installed,automatic]
libflac8/stable,now 1.3.2-3 amd64 [installed,automatic]
libfontconfig1/stable,now 2.13.1-2 amd64 [installed]
libfontenc1/stable,now 1:1.1.3-1+b2 amd64 [installed]
libfreetype6/stable,now 2.9.1-3+deb10u1 amd64 [installed]
libfribidi0/stable,stable,now 1.0.5-3.1+deb10u1 amd64 [installed,automatic]
libfstrm0/stable,now 0.4.0-1 amd64 [installed]
libgbm1/stable,now 18.3.6-2 amd64 [installed,automatic]
libgcc-8-dev/stable,now 8.3.0-6 amd64 [installed,automatic]
libgcc1/stable,now 1:8.3.0-6 amd64 [installed]
libgcrypt20/stable,now 1.8.4-5 amd64 [installed]
libgdbm-compat4/stable,now 1.18.1-4 amd64 [installed]
libgdbm6/stable,now 1.18.1-4 amd64 [installed]
libgdk-pixbuf2.0-0/stable,now 2.38.1+dfsg-1 amd64 [installed,automatic]
libgdk-pixbuf2.0-bin/stable,now 2.38.1+dfsg-1 amd64 [installed,automatic]
libgdk-pixbuf2.0-common/stable,now 2.38.1+dfsg-1 all [installed,automatic]
libgeoip1/stable,now 1.6.12-1 amd64 [installed]
libgirepository-1.0-1/stable,now 1.58.3-2 amd64 [installed,automatic]
libgl1-mesa-dri/stable,now 18.3.6-2 amd64 [installed]
libgl1/stable,now 1.1.0-1 amd64 [installed]
libglapi-mesa/stable,now 18.3.6-2 amd64 [installed]
libglib2.0-0/stable,now 2.58.3-2+deb10u2 amd64 [installed,automatic]
libglib2.0-data/stable,now 2.58.3-2+deb10u2 all [installed,automatic]
libglvnd0/stable,now 1.1.0-1 amd64 [installed]
libglx-mesa0/stable,now 18.3.6-2 amd64 [installed]
libglx0/stable,now 1.1.0-1 amd64 [installed]
libgmp10/stable,now 2:6.1.2+dfsg-4 amd64 [installed]
libgnutls30/stable,now 3.6.7-4 amd64 [installed]
libgomp1/stable,now 8.3.0-6 amd64 [installed,automatic]
libgpg-error0/stable,now 1.35-1 amd64 [installed]
libgpm2/stable,now 1.20.7-5 amd64 [installed,automatic]
libgraphene-1.0-0/stable,now 1.8.4-1 amd64 [installed,automatic]
libgraphite2-3/stable,now 1.3.13-7 amd64 [installed,automatic]
libgssapi-krb5-2/stable,now 1.17-3 amd64 [installed]
libgstreamer-gl1.0-0/stable,now 1.14.4-2 amd64 [installed,automatic]
libgstreamer-plugins-base1.0-0/stable,now 1.14.4-2 amd64 [installed,automatic]
libgstreamer1.0-0/stable,now 1.14.4-1 amd64 [installed,automatic]
libgudev-1.0-0/stable,now 232-2 amd64 [installed,automatic]
libharfbuzz0b/stable,now 2.3.1-1 amd64 [installed,automatic]
libhogweed4/stable,now 3.4.1-1 amd64 [installed]
libice6/stable,now 2:1.0.9-2 amd64 [installed]
libicu63/stable,now 63.1-6 amd64 [installed]
libidn11/stable,now 1.33-2.2 amd64 [installed]
libidn2-0/stable,now 2.0.5-1+deb10u1 amd64 [installed]
libiec61883-0/stable,now 1.2.0-3 amd64 [installed,automatic]
libip4tc0/stable,now 1.8.2-4 amd64 [installed]
libip6tc0/stable,now 1.8.2-4 amd64 [installed]
libiptc0/stable,now 1.8.2-4 amd64 [installed]
libisc-export1100/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
libisc1100/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
libisccc161/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
libisccfg163/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
libisl19/stable,now 0.20-2 amd64 [installed]
libitm1/stable,now 8.3.0-6 amd64 [installed,automatic]
libjack-jackd2-0/stable,now 1.9.12~dfsg-2 amd64 [installed,automatic]
libjbig0/stable,now 2.1-3.1+b2 amd64 [installed,automatic]
libjpeg62-turbo/stable,now 1:1.5.2-2+b1 amd64 [installed,automatic]
libjs-jquery/stable,now 3.3.1~dfsg-3 all [installed,automatic]
libjs-modernizr/stable,now 2.6.2+ds1-3 all [installed,automatic]
libjs-sphinxdoc/stable,now 1.8.4-1 all [installed,automatic]
libjs-underscore/stable,now 1.9.1~dfsg-1 all [installed,automatic]
libjson-c3/stable,now 0.12.1+ds-2 amd64 [installed]
libk5crypto3/stable,now 1.17-3 amd64 [installed]
libkeyutils1/stable,now 1.6-6 amd64 [installed]
libkmod2/stable,now 26-1 amd64 [installed]
libkrb5-3/stable,now 1.17-3 amd64 [installed]
libkrb5support0/stable,now 1.17-3 amd64 [installed]
libksba8/stable,now 1.3.5-2 amd64 [installed,automatic]
libldap-2.4-2/stable,now 2.4.47+dfsg-3+deb10u1 amd64 [installed]
libldap-common/stable,now 2.4.47+dfsg-3+deb10u1 all [installed]
libllvm7/stable,now 1:7.0.1-8 amd64 [installed]
liblmdb0/stable,now 0.9.22-1 amd64 [installed]
liblocale-gettext-perl/stable,now 1.07-3+b4 amd64 [installed]
liblockfile-bin/stable,now 1.14-1.1 amd64 [installed]
liblognorm5/stable,now 2.0.5-1 amd64 [installed]
liblsan0/stable,now 8.3.0-6 amd64 [installed,automatic]
liblwres161/stable,now 1:9.11.5.P4+dfsg-5.1 amd64 [installed]
liblz4-1/stable,now 1.8.3-1 amd64 [installed]
liblzma5/stable,now 5.2.4-1 amd64 [installed]
libmagic-mgc/stable,stable,now 1:5.35-4+deb10u1 amd64 [installed]
libmagic1/stable,stable,now 1:5.35-4+deb10u1 amd64 [installed]
libmnl0/stable,now 1.0.4-2 amd64 [installed]
libmount1/stable,now 2.33.1-0.1 amd64 [installed]
libmp3lame0/stable,now 3.100-2+b1 amd64 [installed,automatic]
libmpc3/stable,now 1.1.0-1 amd64 [installed]
libmpdec2/stable,now 2.4.2-2 amd64 [installed]
libmpeg2-4/stable,now 0.5.1-8 amd64 [installed,automatic]
libmpfr6/stable,now 4.0.2-1 amd64 [installed]
libmpg123-0/stable,now 1.25.10-2 amd64 [installed,automatic]
libmpx2/stable,now 8.3.0-6 amd64 [installed,automatic]
libncurses6/stable,now 6.1+20181013-2+deb10u2 amd64 [installed]
libncursesw6/stable,now 6.1+20181013-2+deb10u2 amd64 [installed]
libnetfilter-conntrack3/stable,now 1.0.7-1 amd64 [installed]
libnettle6/stable,now 3.4.1-1 amd64 [installed]
libnewt0.52/stable,now 0.52.20-8 amd64 [installed]
libnfnetlink0/stable,now 1.0.1-3+b1 amd64 [installed]
libnftnl11/stable,now 1.1.2-2 amd64 [installed]
libnghttp2-14/stable,stable,now 1.36.0-2+deb10u1 amd64 [installed]
libnpth0/stable,now 1.6-1 amd64 [installed,automatic]
libnss-systemd/stable,now 241-7~deb10u2 amd64 [installed]
libogg0/stable,now 1.3.2-1+b1 amd64 [installed,automatic]
libopencore-amrnb0/stable,now 0.1.3-2.1+b2 amd64 [installed,automatic]
libopencore-amrwb0/stable,now 0.1.3-2.1+b2 amd64 [installed,automatic]
libopus0/stable,now 1.3-1 amd64 [installed,automatic]
liborc-0.4-0/stable,now 1:0.4.28-3.1 amd64 [installed,automatic]
libp11-kit0/stable,now 0.23.15-2 amd64 [installed]
libpam-modules-bin/stable,now 1.3.1-5 amd64 [installed]
libpam-modules/stable,now 1.3.1-5 amd64 [installed]
libpam-runtime/stable,now 1.3.1-5 all [installed]
libpam-systemd/stable,now 241-7~deb10u2 amd64 [installed]
libpam0g/stable,now 1.3.1-5 amd64 [installed]
libpango-1.0-0/stable,stable,now 1.42.4-7~deb10u1 amd64 [installed,automatic]
libpangocairo-1.0-0/stable,stable,now 1.42.4-7~deb10u1 amd64 [installed,automatic]
libpangoft2-1.0-0/stable,stable,now 1.42.4-7~deb10u1 amd64 [installed,automatic]
libpciaccess0/stable,now 0.14-1 amd64 [installed]
libpcre2-8-0/stable,now 10.32-5 amd64 [installed]
libpcre3/stable,now 2:8.39-12 amd64 [installed]
libperl5.28/stable,now 5.28.1-6 amd64 [installed]
libpipeline1/stable,now 1.5.1-2 amd64 [installed]
libpixman-1-0/stable,now 0.36.0-1 amd64 [installed,automatic]
libpng16-16/stable,now 1.6.36-6 amd64 [installed]
libpopt0/stable,now 1.16-12 amd64 [installed]
libprocps7/stable,now 2:3.3.15-2 amd64 [installed]
libprotobuf-c1/stable,now 1.3.1-1+b1 amd64 [installed]
libproxy1v5/stable,now 0.4.15-5 amd64 [installed,automatic]
libpsl5/stable,now 0.20.2-2 amd64 [installed]
libpulse0/stable,now 12.2-4+deb10u1 amd64 [installed,automatic]
libpython-stdlib/stable,now 2.7.16-1 amd64 [installed]
libpython2-stdlib/stable,now 2.7.16-1 amd64 [installed]
libpython2.7-minimal/stable,now 2.7.16-2+deb10u1 amd64 [installed]
libpython2.7-stdlib/stable,now 2.7.16-2+deb10u1 amd64 [installed]
libpython3-dev/stable,now 3.7.3-1 amd64 [installed,automatic]
libpython3-stdlib/stable,now 3.7.3-1 amd64 [installed]
libpython3.7-dev/stable,now 3.7.3-2 amd64 [installed,automatic]
libpython3.7-minimal/stable,now 3.7.3-2 amd64 [installed]
libpython3.7-stdlib/stable,now 3.7.3-2 amd64 [installed]
libpython3.7/stable,now 3.7.3-2 amd64 [installed,automatic]
libquadmath0/stable,now 8.3.0-6 amd64 [installed,automatic]
libraw1394-11/stable,now 2.1.2-1+b1 amd64 [installed,automatic]
libreadline7/stable,now 7.0-5 amd64 [installed]
librtmp1/stable,now 2.4+20151223.gitfa8646d.1-2 amd64 [installed]
libsamplerate0/stable,now 0.1.9-2 amd64 [installed,automatic]
libsasl2-2/stable,now 2.1.27+dfsg-1+deb10u1 amd64 [installed]
libsasl2-modules-db/stable,now 2.1.27+dfsg-1+deb10u1 amd64 [installed]
libseccomp2/stable,now 2.3.3-4 amd64 [installed]
libselinux1/stable,now 2.8-1+b1 amd64 [installed]
libsemanage-common/stable,now 2.8-2 all [installed]
libsemanage1/stable,now 2.8-2 amd64 [installed]
libsensors-config/stable,now 1:3.5.0-3 all [installed]
libsensors5/stable,now 1:3.5.0-3 amd64 [installed]
libsepol1/stable,now 2.8-1 amd64 [installed]
libshout3/stable,now 2.4.1-2 amd64 [installed,automatic]
libsidplay1v5/stable,now 1.36.59-11 amd64 [installed,automatic]
libslang2/stable,now 2.3.2-2 amd64 [installed]
libsm6/stable,now 2:1.2.3-1 amd64 [installed]
libsmartcols1/stable,now 2.33.1-0.1 amd64 [installed]
libsndfile1/stable,now 1.0.28-6 amd64 [installed,automatic]
libsoup2.4-1/stable,now 2.64.2-2 amd64 [installed,automatic]
libspeex1/stable,now 1.2~rc1.2-1+b2 amd64 [installed,automatic]
libsqlite3-0/stable,now 3.27.2-3 amd64 [installed]
libss2/stable,stable,now 1.44.5-1+deb10u2 amd64 [installed]
libssh2-1/stable,now 1.8.0-2.1 amd64 [installed]
libssl1.1/stable,stable,now 1.1.1d-0+deb10u2 amd64 [installed]
libstdc++-8-dev/stable,now 8.3.0-6 amd64 [installed,automatic]
libstdc++6/stable,now 8.3.0-6 amd64 [installed]
libsystemd0/stable,now 241-7~deb10u2 amd64 [installed]
libtag1v5-vanilla/stable,now 1.11.1+dfsg.1-0.3 amd64 [installed,automatic]
libtag1v5/stable,now 1.11.1+dfsg.1-0.3 amd64 [installed,automatic]
libtasn1-6/stable,now 4.13-3 amd64 [installed]
libtext-charwidth-perl/stable,now 0.04-7.1+b1 amd64 [installed]
libtext-iconv-perl/stable,now 1.7-5+b7 amd64 [installed]
libtext-wrapi18n-perl/stable,now 0.06-7.1 all [installed]
libthai-data/stable,now 0.1.28-2 all [installed,automatic]
libthai0/stable,now 0.1.28-2 amd64 [installed,automatic]
libtheora0/stable,now 1.1.1+dfsg.1-15 amd64 [installed,automatic]
libtiff5/stable,now 4.1.0+git191117-2~deb10u1 amd64 [installed,automatic]
libtinfo6/stable,now 6.1+20181013-2+deb10u2 amd64 [installed]
libtsan0/stable,now 8.3.0-6 amd64 [installed,automatic]
libtwolame0/stable,now 0.3.13-4 amd64 [installed,automatic]
libubsan1/stable,now 8.3.0-6 amd64 [installed,automatic]
libuchardet0/stable,now 0.0.6-3 amd64 [installed]
libudev1/stable,now 241-7~deb10u2 amd64 [installed]
libunistring2/stable,now 0.9.10-1 amd64 [installed]
libuuid1/stable,now 2.33.1-0.1 amd64 [installed]
libv4l-0/stable,now 1.16.3-3 amd64 [installed,automatic]
libv4lconvert0/stable,now 1.16.3-3 amd64 [installed,automatic]
libvisual-0.4-0/stable,now 0.4.0-15 amd64 [installed,automatic]
libvorbis0a/stable,now 1.3.6-2 amd64 [installed,automatic]
libvorbisenc2/stable,now 1.3.6-2 amd64 [installed,automatic]
libvpx5/stable,now 1.7.0-3+deb10u1 amd64 [installed,automatic]
libwavpack1/stable,now 5.1.0-6 amd64 [installed,automatic]
libwayland-client0/stable,now 1.16.0-1 amd64 [installed,automatic]
libwayland-egl1/stable,now 1.16.0-1 amd64 [installed,automatic]
libwayland-server0/stable,now 1.16.0-1 amd64 [installed,automatic]
libwebp6/stable,now 0.6.1-2 amd64 [installed,automatic]
libwrap0/stable,now 7.6.q-28 amd64 [installed]
libx11-6/stable,now 2:1.6.7-1 amd64 [installed]
libx11-data/stable,now 2:1.6.7-1 all [installed]
libx11-xcb1/stable,now 2:1.6.7-1 amd64 [installed]
libx264-155/stable,now 2:0.155.2917+git0a84d98-2 amd64 [installed,automatic]
libxau6/stable,now 1:1.0.8-1+b2 amd64 [installed]
libxaw7/stable,now 2:1.0.13-1+b2 amd64 [installed]
libxcb-dri2-0/stable,now 1.13.1-2 amd64 [installed]
libxcb-dri3-0/stable,now 1.13.1-2 amd64 [installed]
libxcb-glx0/stable,now 1.13.1-2 amd64 [installed]
libxcb-present0/stable,now 1.13.1-2 amd64 [installed]
libxcb-render0/stable,now 1.13.1-2 amd64 [installed,automatic]
libxcb-shape0/stable,now 1.13.1-2 amd64 [installed]
libxcb-shm0/stable,now 1.13.1-2 amd64 [installed,automatic]
libxcb-sync1/stable,now 1.13.1-2 amd64 [installed]
libxcb-xfixes0/stable,now 1.13.1-2 amd64 [installed,automatic]
libxcb1/stable,now 1.13.1-2 amd64 [installed]
libxcomposite1/stable,now 1:0.4.4-2 amd64 [installed]
libxcursor1/stable,now 1:1.1.15-2 amd64 [installed]
libxdamage1/stable,now 1:1.1.4-3+b3 amd64 [installed]
libxdmcp6/stable,now 1:1.1.2-3 amd64 [installed]
libxext6/stable,now 2:1.3.3-1+b2 amd64 [installed]
libxfixes3/stable,now 1:5.0.3-1 amd64 [installed]
libxft2/stable,now 2.3.2-2 amd64 [installed]
libxi6/stable,now 2:1.7.9-1 amd64 [installed]
libxinerama1/stable,now 2:1.1.4-2 amd64 [installed]
libxkbfile1/stable,now 1:1.0.9-2+b11 amd64 [installed]
libxml2/stable,now 2.9.4+dfsg1-7+b3 amd64 [installed]
libxmu6/stable,now 2:1.1.2-2+b3 amd64 [installed]
libxmuu1/stable,now 2:1.1.2-2+b3 amd64 [installed]
libxpm4/stable,now 1:3.5.12-1 amd64 [installed]
libxrandr2/stable,now 2:1.5.1-1 amd64 [installed]
libxrender1/stable,now 1:0.9.10-1 amd64 [installed]
libxshmfence1/stable,now 1.3-1 amd64 [installed]
libxt6/stable,now 1:1.1.5-1+b3 amd64 [installed]
libxtables12/stable,now 1.8.2-4 amd64 [installed]
libxtst6/stable,now 2:1.2.3-1 amd64 [installed]
libxv1/stable,now 2:1.0.11-1 amd64 [installed]
libxxf86dga1/stable,now 2:1.1.4-1+b3 amd64 [installed]
libxxf86vm1/stable,now 1:1.1.4-1+b2 amd64 [installed]
libzstd1/stable,now 1.3.8+dfsg-3 amd64 [installed]
linux-libc-dev/stable,now 4.19.67-2+deb10u2 amd64 [installed,automatic]
locales/stable,now 2.28-10 all [installed]
login/stable,now 1:4.5-1.1 amd64 [installed]
logrotate/stable,now 3.14.0-4 amd64 [installed]
lsb-base/stable,now 10.2019051400 all [installed]
lsof/stable,now 4.91+dfsg-1 amd64 [installed]
make/stable,now 4.2.1-1.2 amd64 [installed,automatic]
man-db/stable,now 2.8.5-2 amd64 [installed]
manpages-dev/stable,now 4.16-2 all [installed,automatic]
manpages/stable,now 4.16-2 all [installed]
mawk/stable,now 1.3.3-17+b3 amd64 [installed]
mime-support/stable,now 3.62 all [installed]
mopidy-local/stable,now 3.1.1-1 all [installed]
mopidy-mpd/stable,now 3.0.0-1 all [installed]
mopidy/stable,now 3.0.1-2 all [installed]
mount/stable,now 2.33.1-0.1 amd64 [installed]
nano/stable,now 3.2-3 amd64 [installed]
ncurses-base/stable,now 6.1+20181013-2+deb10u2 all [installed]
ncurses-bin/stable,now 6.1+20181013-2+deb10u2 amd64 [installed]
ncurses-term/stable,now 6.1+20181013-2+deb10u2 all [installed]
netbase/stable,now 5.6 all [installed]
netcat-traditional/stable,now 1.10-41.1 amd64 [installed]
openssh-client/stable,stable,now 1:7.9p1-10+deb10u1 amd64 [installed]
openssh-server/stable,stable,now 1:7.9p1-10+deb10u1 amd64 [installed]
openssh-sftp-server/stable,stable,now 1:7.9p1-10+deb10u1 amd64 [installed]
openssl/stable,stable,now 1.1.1d-0+deb10u2 amd64 [installed]
passwd/stable,now 1:4.5-1.1 amd64 [installed]
patch/stable,stable,now 2.7.6-3+deb10u1 amd64 [installed,automatic]
perl-base/stable,now 5.28.1-6 amd64 [installed]
perl-modules-5.28/stable,now 5.28.1-6 all [installed]
perl/stable,now 5.28.1-6 amd64 [installed]
pinentry-curses/stable,now 1.1.0-2 amd64 [installed,automatic]
postfix/stable,now 3.4.7-0+deb10u1 amd64 [installed]
procps/stable,now 2:3.3.15-2 amd64 [installed]
python-apt-common/stable,now 1.8.4.1 all [installed]
python-minimal/stable,now 2.7.16-1 amd64 [installed]
python-pip-whl/stable,now 18.1-5 all [installed,automatic]
python2-minimal/stable,now 2.7.16-1 amd64 [installed]
python2.7-minimal/stable,now 2.7.16-2+deb10u1 amd64 [installed]
python2.7/stable,now 2.7.16-2+deb10u1 amd64 [installed]
python2/stable,now 2.7.16-1 amd64 [installed]
python3-apt/stable,now 1.8.4.1 amd64 [installed]
python3-asn1crypto/stable,now 0.24.0-1 all [installed,automatic]
python3-certifi/stable,now 2018.8.24-1 all [installed]
python3-cffi-backend/stable,now 1.12.2-1 amd64 [installed,automatic]
python3-chardet/stable,now 3.0.4-3 all [installed]
python3-crypto/stable,now 2.6.1-9+b1 amd64 [installed,automatic]
python3-cryptography/stable,now 2.6.1-3+deb10u2 amd64 [installed,automatic]
python3-dbus/stable,now 1.2.8-3 amd64 [installed,automatic]
python3-debconf/stable,now 1.5.71 all [installed]
python3-debian/stable,now 0.1.35 all [installed]
python3-debianbts/stable,now 2.8.2 all [installed]
python3-dev/stable,now 3.7.3-1 amd64 [installed,automatic]
python3-distutils/stable,now 3.7.3-1 all [installed,automatic]
python3-entrypoints/stable,now 0.3-1 all [installed,automatic]
python3-gi/stable,now 3.30.4-1 amd64 [installed,automatic]
python3-gst-1.0/stable,now 1.14.4-1+b1 amd64 [installed,automatic]
python3-httplib2/stable,now 0.11.3-2 all [installed]
python3-idna/stable,now 2.6-1 all [installed]
python3-keyring/stable,now 17.1.1-1 all [installed,automatic]
python3-keyrings.alt/stable,now 3.1.1-1 all [installed,automatic]
python3-lib2to3/stable,now 3.7.3-1 all [installed,automatic]
python3-minimal/stable,now 3.7.3-1 amd64 [installed]
python3-pip/stable,now 18.1-5 all [installed]
python3-pkg-resources/stable,now 40.8.0-1 all [installed]
python3-pycurl/stable,now 7.43.0.2-0.1 amd64 [installed]
python3-pykka/stable,now 2.0.2-3 all [installed,automatic]
python3-pysimplesoap/stable,now 1.16.2-1 all [installed]
python3-reportbug/stable,now 7.5.3~deb10u1 all [installed]
python3-requests/stable,now 2.21.0-1 all [installed]
python3-secretstorage/stable,now 2.3.1-2 all [installed,automatic]
python3-setuptools/stable,now 40.8.0-1 all [installed,automatic]
python3-six/stable,now 1.12.0-1 all [installed]
python3-tornado/stable,now 5.1.1-4 amd64 [installed,automatic]
python3-uritools/stable,now 2.2.0-1 all [installed,automatic]
python3-urllib3/stable,now 1.24.1-1 all [installed]
python3-wheel/stable,now 0.32.3-2 all [installed,automatic]
python3-xdg/stable,now 0.25-5 all [installed,automatic]
python3.7-dev/stable,now 3.7.3-2 amd64 [installed,automatic]
python3.7-minimal/stable,now 3.7.3-2 amd64 [installed]
python3.7/stable,now 3.7.3-2 amd64 [installed]
python3/stable,now 3.7.3-1 amd64 [installed]
python/stable,now 2.7.16-1 amd64 [installed]
readline-common/stable,now 7.0-5 all [installed]
reportbug/stable,now 7.5.3~deb10u1 all [installed]
rsyslog/stable,now 8.1901.0-1 amd64 [installed]
sed/stable,now 4.7-1 amd64 [installed]
sensible-utils/stable,now 0.0.12 all [installed]
shared-mime-info/stable,now 1.10-1 amd64 [installed,automatic]
sphinx-rtd-theme-common/stable,now 0.4.3+dfsg-1 all [installed,automatic]
ssh/stable,stable,now 1:7.9p1-10+deb10u1 all [installed]
ssl-cert/stable,now 1.0.39 all [installed]
sysstat/stable,now 12.0.3-2 amd64 [installed]
systemd-sysv/stable,now 241-7~deb10u2 amd64 [installed]
systemd/stable,now 241-7~deb10u2 amd64 [installed]
sysvinit-utils/stable,now 2.93-8 amd64 [installed]
tar/stable,now 1.30+dfsg-6 amd64 [installed]
tasksel-data/stable,now 3.53 all [installed]
tasksel/stable,now 3.53 all [installed]
telnet/stable,now 0.17-41.2 amd64 [installed]
traceroute/stable,now 1:2.1.0-2 amd64 [installed]
tzdata/stable,stable-updates,now 2019c-0+deb10u1 all [installed]
ucf/stable,now 3.0038+nmu1 all [installed]
udev/stable,now 241-7~deb10u2 amd64 [installed]
util-linux/stable,now 2.33.1-0.1 amd64 [installed]
vim-common/stable,now 2:8.1.0875-5 all [installed]
vim-tiny/stable,now 2:8.1.0875-5 amd64 [installed]
wamerican/stable,now 2018.04.16-1 all [installed]
wget/stable,now 1.20.1-1.1 amd64 [installed]
whiptail/stable,now 0.52.20-8 amd64 [installed]
x11-apps/stable,now 7.7+7 amd64 [installed]
x11-common/stable,now 1:7.7+19 all [installed]
x11-session-utils/stable,now 7.7+3 amd64 [installed]
x11-utils/stable,now 7.7+4 amd64 [installed]
x11-xkb-utils/stable,now 7.7+4 amd64 [installed]
x11-xserver-utils/stable,now 7.7+8 amd64 [installed]
xauth/stable,now 1:1.0.10-1 amd64 [installed]
xbase-clients/stable,now 1:7.7+19 all [installed]
xdg-user-dirs/stable,now 0.17-2 amd64 [installed,automatic]
xinit/stable,now 1.4.0-1 amd64 [installed]
xxd/stable,now 2:8.1.0875-5 amd64 [installed]
xz-utils/stable,now 5.2.4-1 amd64 [installed]
zlib1g/stable,now 1:1.2.11.dfsg-1 amd64 [installed]

There’s info about debugging gstreamer is available at https://docs.mopidy.com/en/latest/troubleshooting/#debugging-gstreamer as well as the gstreamer docs.

I’ve never seen this issue but there’s a lot of moving parts here. If you could remove some of the complexity then that’d be where I’d start. However, my money is on the tcpclientsink being the issue:

Feb 02 20:19:03 audioTest mopidy[470]: DEBUG [MainThread] mopidy.audio.gst Got WARNING bus message: error=GLib.Error('Internal data flow problem.', 'gst-stream-error-quark', 1) debug='gstbasesink.c(3394): gst_base_sink_chain_unlocked (): /GstPlayBin:playbin0/GstPlaySink:playsink/GstBin:abin/GstBin:audio-sink/mopidy+audio+actor+_Outputs:mopidy+audio+actor+_outputs0/GstBin:bin0/GstTCPClientSink:tcpclientsink0:\nReceived buffer without a new-segment. Assuming timestamps start from 0.'

Oh, and its generally worth trying a newer gstreamer version if possible. Since you are running within a container perhaps that’s feasible.

The resulting logs from gstreamer (the wav file played, and then I seeked):

0:06:41.753311754  8664 0x7fb1f4004d40 WARN                  wavenc gstwavenc.c:1068:gst_wavenc_chain:<wavenc0> Could not reorder channels
0:06:41.826305086  8664 0x7fb1f4004d40 WARN                  wavenc gstwavenc.c:1068:gst_wavenc_chain:<wavenc0> Could not reorder channels
0:06:41.826506366  8664 0x7fb1f4004d40 WARN                basesink gstbasesink.c:3394:gst_base_sink_chain_unlocked:<tcpclientsink0> warning: Internal data flow problem.
0:06:41.826665140  8664 0x7fb1f4004d40 WARN                basesink gstbasesink.c:3394:gst_base_sink_chain_unlocked:<tcpclientsink0> warning: Received buffer without a new-segment. Assuming timestamps start from 0.
0:07:54.901892154  8664 0x7fb1f4004d40 WARN                  wavenc gstwavenc.c:1068:gst_wavenc_chain:<wavenc0> Could not reorder channels
0:07:54.902053230  8664 0x7fb1f4004d40 WARN                  wavenc gstwavenc.c:1068:gst_wavenc_chain:<wavenc0> Could not reorder channels

So it does look related to tcpclientsink. I’ll try upgrading gstreamer.

I chose the quick&dirty route to get a newer gstreamer version and just upgraded the container to debian bullseye. It includes gstreamer 1.16.2 , but sadly it results in the same behaviour.

I’ll try to reduce the complexity by using a fifo instead of a tcpclientsink to get the samples to snapcast. I don’t have a soundcard on the server, so I don’t know how to make it even simpler than that.

Another way to get audio off a server like that is using icecast, there’s a bit about that in ours docs.

I have switchted to the fifo method and now seeking works instantly.

I actually had it set up with a fifo before migration to mopidy 3, but I had strange playback stops/hangs irregularly, so I thought that moving to a tcpcliensink might improve that ( https://github.com/badaix/snapcast/issues/511 ).

I’ll use the new container with mopidy 3, gstreamer 1.16 and change it to the fifo method and use it as my daily driver and see if those strange hangs reappear.

Exact same problem here, it’s definitely the TCP sink. It’s far more reliable than the FIFO but seeking is not working. I started trying to track it down because it’s bugging me :slight_smile: but haven’t had much time to look at it yet.

It might be worth asking about this on the gstreamer IRC/mailing list or even submitting a bug report. They are usually very helpful and there might be a workaround we can employ.

Also, does setting sync=false help? i.e.

output = audioresample ! audioconvert ! audio/x-raw,rate=44100,channels=2,format=S16LE ! wavenc ! tcpclientsink host=10.0.0.42 port=4953 sync=false

Yes, using sync=false reduces the delay to ~10-15s. but now nearly every operation is delayed by about that amount of time.
Maybe there are now too many buffers involved? Or they are too big?

We perform “flushing” seeks which empty the queues. Plus 10-15 seconds doesn’t sound like anything in our normal pipeline, and this isn’t a problem in our regular configuration. I’d imagine there is some buffering in the tcp part of this setup but I don’t see any controls for that on the tcpclientsink. You would expect there to be some delays introduced when sticking a tcp connection in the way. The server side must be doing something sensible about that.

Edit: I missed the tcpclientsink has a blocksize attribute but it’s default size is tiny (4kB).

I’m vaguely interested in getting a full log and resolving the normal sync=true case but it sounds like doing that still wouldn’t entirely solve the issue.